- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Abstract_ServantBase Class Reference

`#include <Abstract_Servant_Base.h>`

List of all members.

## Public Member Functions
virtual | ~TAO_Abstract_ServantBase (void)
| Destructor.
virtual CORBA::Boolean | _is_a (const char *logical_type_id)=0
| Local implementation of the CORBA::Object::_is_a method.
virtual CORBA::Boolean | _non_existent ()=0
| Default `_non_existent:` always returns false.
virtual CORBA::InterfaceDef_ptr | _get_interface ()=0
| Query the Interface Repository.
virtual CORBA::Object_ptr | _get_component ()=0
| Default : always returns nil.
virtual char * | _repository_id ()=0
| Default .
virtual TAO_Stub * | _create_stub ()=0
| This is an auxiliary method for _this() and _narrow().
virtual int | _find (const char *opname, TAO_Skeleton &skelfunc, const size_t length=0)=0
virtual int | _find (const char *opname, TAO_Collocated_Skeleton &skelfunc, TAO::Collocation_Strategy s, const size_t length=0)=0
Reference Counting Operations
virtual void | _add_ref ()=0
| Increase reference count by one.
virtual void | _remove_ref ()=0
virtual CORBA::ULong | _refcount_value () const =0
| Returns the current reference count value.
## Protected Member Functions
| TAO_Abstract_ServantBase (void)
| Default constructor, only derived classes can be created.
| TAO_Abstract_ServantBase (const TAO_Abstract_ServantBase &)
| Copy constructor, protected so no instances can be created.
TAO_Abstract_ServantBase & | operator= (const TAO_Abstract_ServantBase &)
| Assignment operator.
virtual void | _dispatch (TAO_ServerRequest &request, void *servant_upcall)=0
| Dispatches a request to the object.
virtual void | synchronous_upcall_dispatch (TAO_ServerRequest &req, void *servant_upcall, void *derived_this)=0
virtual const char * | _interface_repository_id (void) const =0
| Get this interface's repository id (TAO specific).

## Constructor & Destructor Documentation

TAO_Abstract_ServantBase::~TAO_Abstract_ServantBase | ( | void |  | ) | `[virtual]`

Destructor.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Abstract_ServantBase::TAO_Abstract_ServantBase | ( | void |  | ) | `[protected]`

Default constructor, only derived classes can be created.

TAO_Abstract_ServantBase::TAO_Abstract_ServantBase | ( | const TAO_Abstract_ServantBase & |  | ) | `[protected]`

Copy constructor, protected so no instances can be created.

## Member Function Documentation

virtual void TAO_Abstract_ServantBase::_add_ref | ( |  | ) | `[pure virtual]`

Increase reference count by one.

virtual TAO_Stub* TAO_Abstract_ServantBase::_create_stub | ( |  | ) | `[pure virtual]`

This is an auxiliary method for _this() and _narrow().

virtual void TAO_Abstract_ServantBase::_dispatch | ( | TAO_ServerRequest & | request,
|  | void * | servant_upcall |
| ) |  |  | `[protected, pure virtual]`

Dispatches a request to the object.

Find the operation, cast the type to the most derived type, demarshall all the parameters from the request and finally invokes the operation, storing the results and out parameters (if any) or the exceptions thrown into request.

virtual int TAO_Abstract_ServantBase::_find | ( | const char * | opname,
|  | TAO_Collocated_Skeleton & | skelfunc,
|  | TAO::Collocation_Strategy | s,
|  | const size_t | length = `0` |
| ) |  |  | `[pure virtual]`

Find an operation in the operation table and return a TAO_Collocated_Skeleton which can be used to make upcalls onto collocated servants.

virtual int TAO_Abstract_ServantBase::_find | ( | const char * | opname,
|  | TAO_Skeleton & | skelfunc,
|  | const size_t | length = `0` |
| ) |  |  | `[pure virtual]`

Find an operation in the operation table and return a TAO_Skeleton which can be used to make upcalls

virtual CORBA::Object_ptr TAO_Abstract_ServantBase::_get_component | ( |  | ) | `[pure virtual]`

Default : always returns nil.

virtual CORBA::InterfaceDef_ptr TAO_Abstract_ServantBase::_get_interface | ( |  | ) | `[pure virtual]`

Query the Interface Repository.

virtual const char* TAO_Abstract_ServantBase::_interface_repository_id | ( | void |  | ) | const`[protected, pure virtual]`

Get this interface's repository id (TAO specific).

virtual CORBA::Boolean TAO_Abstract_ServantBase::_is_a | ( | const char * | logical_type_id | ) | `[pure virtual]`

Local implementation of the CORBA::Object::_is_a method.

virtual CORBA::Boolean TAO_Abstract_ServantBase::_non_existent | ( |  | ) | `[pure virtual]`

Default `_non_existent:` always returns false.

virtual CORBA::ULong TAO_Abstract_ServantBase::_refcount_value | ( |  | ) | const`[pure virtual]`

Returns the current reference count value.

virtual void TAO_Abstract_ServantBase::_remove_ref | ( |  | ) | `[pure virtual]`

Decreases reference count by one; if the resulting reference count equals zero, _remove_ref invokes delete on its this pointer in order to destroy the servant.

virtual char* TAO_Abstract_ServantBase::_repository_id | ( |  | ) | `[pure virtual]`

Default .

TAO_Abstract_ServantBase & TAO_Abstract_ServantBase::operator= | ( | const TAO_Abstract_ServantBase & |  | ) | `[protected]`

Assignment operator.

virtual void TAO_Abstract_ServantBase::synchronous_upcall_dispatch | ( | TAO_ServerRequest & | req,
|  | void * | servant_upcall,
|  | void * | derived_this |
| ) |  |  | `[protected, pure virtual]`

The documentation for this class was generated from the following files:

- Abstract_Servant_Base.h
- Abstract_Servant_Base.cpp